;;---------------------------------------- LICENSE NOTICE ----------------------------------------
;;
;;  This file is part of Angry Kitten: an Amstrad CPC Game made with CPCTelera
;;
;;     Copyright (C) 2019  Irene Clemente Aracil (@irenara), Araceli Lucía Rebollo Domínguez
;;      (@LuciaMew) and Jose Manuel Manresa Guirao (@jmmgMultimedia)
;;
;;
;;    This program is free software: you can redistribute it and/or modify
;;    it under the terms of the GNU General Public License as published by
;;    the Free Software Foundation, either version 3 of the License, or
;;    (at your option) any later version.
;;
;;    This program is distributed in the hope that it will be useful,
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;    GNU General Public License for more details.
;;
;;    You should have received a copy of the GNU General Public License
;;    along with this program.  If not, see <https://www.gnu.org/licenses/>.
;;
;;------------------------------------------------------------------------------------------------

;;
;;      GAME MANAGER
;;

;;      FUNCTIONS
.globl game_man_init
.globl game_man_update
.globl game_man_render
.globl game_man_getState
.globl game_man_setState

.globl game_man_drawTiles

.globl game_man_setBooleanTiles
.globl game_man_getBooleanTiles
.globl game_man_changeLevel
.globl game_man_changeNivelHorizontal
.globl game_man_changeNivelVertical


;; Macros

.macro reviveEnemy _pos, _vidas
    push af
    push de
    push ix
    push hl
    push bc
    ;;     Le tengo que pasar, a la llamada sys_ai_reviveEnemy, en HL y B lo que me pide:
    ;;     HL = Pos where the enemy will be created (in hexadecimal)
    ;;      B = Life what will the enemy have
    ld hl, #_pos
    ld b, #_vidas
    call sys_ai_reviveEnemy         ;; <-- revive un enemigo si hay uno muerto
    pop bc
    pop hl
    pop ix
    pop de
    pop af
.endm

